Bug 802651 - 'Failed to validate app_type' error appears when trying to migrate raw app
'Failed to validate app_type' error appears when trying to migrate raw app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Kubernetes (Show other bugs)
1.x
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 03:47 EDT by Meng Bo
Modified: 2012-03-19 14:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 14:22:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-03-13 03:47:07 EDT
Description of problem:
got failure when trying to migrate raw app.

Version-Release number of selected component (if applicable):
devenv_1659

How reproducible:
always

Steps to Reproduce:
1.start an old instance
2.create raw app on it
3.update instance and run migrate-2.0.7 script on instance
  
Actual results:

Migrating app 'rawtodiy' with uuid '089761d1a03c4172a9458f515e3e35a5' on node 'ip-10-110-162-138' for user: bmeng+1@redhat.com
Failed to migrate with cmd: './migrate-2.0.7 --rhlogin 'bmeng+1@redhat.com' --migrate-app 'rawtodiy'' after 2 tries with exception: Failed to validate app_type: undefined method `match' for nil:NilClass
/usr/lib/ruby/site_ruby/1.8/mcollective/rpc/client.rb:528:in `process_results_with_block'/usr/lib/ruby/site_ruby/1.8/mcollective/rpc/client.rb:450:in `call_agent'/usr/lib/ruby/site_ruby/1.8/mcollective/client.rb:129:in `req'/usr/lib/ruby/site_ruby/1.8/mcollective/client.rb:124:in `loop'/usr/lib/ruby/site_ruby/1.8/mcollective/client.rb:124:in `req'/usr/lib/ruby/1.8/timeout.rb:67:in `timeout'/usr/lib/ruby/site_ruby/1.8/mcollective/client.rb:123:in `req'/usr/lib/ruby/site_ruby/1.8/mcollective/rpc/client.rb:446:in `call_agent'/usr/lib/ruby/site_ruby/1.8/mcollective/rpc/client.rb:257:in `custom_request'/usr/lib/ruby/site_ruby/1.8/mcollective/rpc/client.rb:193:in `method_missing'./migrate-2.0.7:32:in `migrate_app'/var/www/stickshift/broker/lib/express/broker/application_container_proxy.rb:607:in `rpc_exec'./migrate-2.0.7:31:in `migrate_app'/usr/lib/ruby/1.8/timeout.rb:67:in `timeout'./migrate-2.0.7:30:in `migrate_app'./migrate-2.0.7:449:in `migrate_from_file'./migrate-2.0.7:447:in `each'./migrate-2.0.7:447:in `migrate_from_file'./migrate-2.0.7:559
Output:
Migrating app on node with: ./migrate-2.0.7 --rhlogin 'bmeng+1@redhat.com' --migrate-app 'rawtodiy'


Expected results:
should be migrated without any errors.

Additional info:
Comment 1 Mrunal Patel 2012-03-13 20:03:32 EDT
migrate-mongo-2.0.7 needs to be run before running migrate-2.0.7
Comment 2 Meng Bo 2012-03-14 04:54:18 EDT
following devel's comment c#1, run migrate-mongo-2.0.7 before migrate-2.0.7,
issue has been fixed.

Note You need to log in before you can comment on or make changes to this bug.